petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscLayoutSetUp

given a map where you have set either the global or local size sets up the map so that it may be used.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutSetUp(PetscLayout map)

Collective

### Input Parameters

map -pointer to the map

### Notes

Typical calling sequence

    PetscLayoutCreate(MPI_Comm,PetscLayout *);

    PetscLayoutSetBlockSize(PetscLayout,1);

    PetscLayoutSetSize(PetscLayout,n) or PetscLayoutSetLocalSize(PetscLayout,N); or both

    PetscLayoutSetUp(PetscLayout);

    PetscLayoutGetSize(PetscLayout,PetscInt *);

If range exists, and local size is not set, everything gets computed from the range.

If the local size, global size are already set and range exists then this does nothing.

### See Also

PetscLayoutSetLocalSize(), PetscLayoutSetSize(), PetscLayoutGetSize(), PetscLayoutGetLocalSize(), PetscLayout, PetscLayoutDestroy(),
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetBlockSize(), PetscLayoutCreate()

### Level

developer

### Location

src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages